# Jekyll Development Theme

This is a nice little jekyll theme development playground. The layout is close to nothing. Features will be added or removed regulary without warning. I don't recommend using this theme in production.

## Installation

Add this line to your Jekyll site's `Gemfile`:

```ruby
gem "jekyll-development-theme"
```

And add this line to your Jekyll site's `_config.yml`:

```yaml
theme: jekyll-development-theme
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install jekyll-development-theme

## Usage

Goal for this theme is to have a clean start when developing themes for jekyll. Don't repeat yourself (DRY).

## Build

Bump the theme-version in the theme-gem `jekyll-development-theme.gemspec`; Please follow [Semantic Versioning](https://semver.org/).

Add missing files:

    $ git ls-files

Add the nessesary files to your gemspec

    spec.files       = [
      ...
      ".editorconfig" ,
      ...
    ]

Rebuild the gem:

    $ gem build jekyll-development-theme.gemspec

Release the new version:

    $ gem push jekyll-development-theme-*.gem

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/ericbinek/jekyll-development-theme. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## Development

To set up your environment to develop this theme, run `bundle install`.

Your theme is setup just like a normal Jekyll site! To test your theme, run `bundle exec jekyll serve` and open your browser at `http://localhost:4000`. This starts a Jekyll server using your theme. Add pages, documents, data, etc. like normal to test your theme's contents. As you make modifications to your theme and to your content, your site will regenerate and you should see the changes in the browser after a refresh, just like normal.

When your theme is released, only the files in `_layouts`, `_includes`, `_sass` and `assets` tracked with Git will be bundled.
To add a custom directory to your theme-gem, please edit the regexp in `jekyll-development-theme.gemspec` accordingly.

## License

The theme is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
